#include <windows.h>

extern double           freeDiskMB;
extern double           totalDiskMB;
extern char             version[50];
extern char             configData1[200];
extern char             configData2[200];
extern char             configData3[200];
extern int              hasMMX;
extern unsigned int     megaHz;
extern DWORD            ramsize;
extern DWORD            freesize;
extern LARGE_INTEGER    astarttime;
extern double           runSecs;
extern char             timeday[30];
extern int              build;
extern DWORD            SectorsPerCluster; 
extern DWORD            BytesPerSector; 
extern DWORD            NumberOfFreeClusters;  
extern DWORD            TotalNumberOfClusters;  

int     GetDiskStats();
void    WhatConfig();
double  getRunSecs(void);
void    getStartTime(void);
void    local_time();


#define EXTRA_DATA_OFFSET   0
#define MENU_ABOUT          1
#define MENU_HELP           5

#define MENU_EXIT           9
#define MENU_RUNGRAPH      12
#define MENU_VIEWGRAPH     14
#define MENU_DMAGRAPH      13
#define MENU_RANDGRAPH     19
#define MENU_PARAM         15
#define MENU_QUICKTEST     16
#define MENU_LOAD          17
#define MENU_SAVE          18

#define GRAPH_MB         1700
#define GRAPH_FILE       1701
#define DO_RUN           1702
#define NOTE_1           1703
#define NOTE_2           1704
#define NOTE_3           1705
#define NUMBERFILES      1707
#define MINBLOCKSIZE     1708
#define MAXBLOCKSIZE     1709

#define VIEW_GRAPH       1888
#define RUN_GRAPH        1889

#define USE_CACHE        1800
#define MEASURE_UT       1801
#define BIG_RAM          1802


#define FINISH_GRAPH     2000
#define RUN_BUTTON       2001
#define PARAM_GRAPH      2002
#define QUICK_RUN        2003

